import BaseSection from '../../../sections/BaseSection';
import { RestService } from '../../../services/rest.service';
import { ActivatedRoute, Router } from '@angular/router';
import { EnrollmentFormModel, EnrollmentFormStyleModel } from './enrollment-form.model';
import { StorageServiceService } from '../../../services/storage.service';
import * as i0 from "@angular/core";
export declare class EnrollmentFormComponent extends BaseSection {
    private restService;
    private activeRoute;
    private readonly storageService;
    private router;
    data?: EnrollmentFormModel;
    edit?: boolean;
    customClass?: string;
    delete?: boolean;
    index?: number;
    styles?: EnrollmentFormStyleModel;
    constructor(restService: RestService, activeRoute: ActivatedRoute, storageService: StorageServiceService, router: Router);
    ngOnInit(): void;
    checkUserLoggedIn(): void;
    page: 'ENROLLMENT' | 'PAYMENT';
    enrollementPayload: any;
    schemesData: any;
    selectedScheme: any;
    getSchemes(): void;
    storeData: any;
    selectedStore: any;
    getAllStores(): void;
    staffData: any;
    getStaffById(): void;
    stateData: any;
    getAllState(): void;
    cityData: any;
    getCityByStateId(): void;
    setMonthlyInstallmentAmount(): void;
    storeSlabs: any;
    getStoreSlabs(): void;
    validator: boolean;
    createEnrollment(): void;
    success(): void;
    result: any;
    showResult: boolean;
    isProcessing: boolean;
    simulatePayment(type: 'success' | 'failure'): void;
    getButtonId(index: number): string;
    getButtonStyle(index: number): import("simpo-component-library").ButtonStyleModel | undefined;
    getButtonContent(index: number): import("simpo-component-library").Button | undefined;
    debounceTimer: any;
    validateForm(fieldType: string): void;
    validObject: any;
    validater(fieldType: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnrollmentFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EnrollmentFormComponent, "simpo-enrollment-form", never, { "data": { "alias": "data"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, true, never>;
}
